using MusicMetaTagger.Client.AllMusicGuide.RemoteDataAccess.Client;
using MusicMetaTagger.Client.AllMusicGuide.RemoteDataAccess.Parser;
using MusicMetaTagger.Core.Model;

namespace MusicMetaTagger.Client.AllMusicGuide.RemoteDataAccess.Scraper
{
	public class ArtistScraper : ScraperBase<Artist, ArtistClient, ArtistParser>
	{
		public new Artist Scrape(string artistId)
		{
			var artist = base.Scrape(artistId);

			var artistDiscographyScraper = new ArtistDiscographyScraper();
			artist.Discography = artistDiscographyScraper.Scrape(artistId);

			return artist;
		}
	}
}